package com.bizmatics.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.bizmatics.common.mvc.base.BaseModel;
import lombok.Data;

import java.util.Date;

/**
 * @author chen
 */
@Data
@TableName("sys_file")
public class SysFile extends BaseModel {
    /**
     * 文件id
     */
    @TableId(type = IdType.INPUT)
    private String id;
    /**
     * 文件批次
     */
    private String batchNo;
    /**
     * 文件类型 pdf，html，jpg，mp3
     */
    private String fileType;
    /**
     * 原文件名
     */
    private String oriName;
    /**
     * 文件上传后, 生成的key
     */
    private String ossKey;
    /**
     * 文件的外网访问url
     */
    private String url;
    /**
     * 使用该文件的功能
     * 业务模块
     */
    private String businessType;
    /**
     * 存储该文件的OSS平台
     */
    private String ossPlat;
    /**
     * 文件的读写权限
     */
    private String ossAcl;
    /**
     * 文件大小
     */
    private Integer fileSize;
    /**
     * 文件过期时间
     */
    private Date expireAt;
    /**
     * 文件是否有效 0 无效, 1有效
     */
    private Integer activeFlag;
    /**
     * 文件是否已删除 0未删除 1已删除
     */
    private String delFlag;

    @TableField(exist = false)
    private String internalUrl;

}
