package com.bizmatics.service;

import com.bizmatics.common.core.bean.CommonPage;
import com.bizmatics.common.mvc.base.CrudService;
import com.bizmatics.model.SysAsyncTask;
import com.bizmatics.model.vo.SysAsyncTaskVo;
import com.bizmatics.service.dto.SysAsyncTaskDTO;

import java.util.Date;

/**
 * @author fanzhiqiang
 */
public interface ISysAsyncTaskService extends CrudService<SysAsyncTask> {

    /**
     * 返回执行ID
     *
     * @param userId
     * @param userName
     * @param funcType
     * @return
     */
    Long getId(String userId, String userName, String funcType);

    /**
     * 分页查询
     *
     * @param asyncTaskId
     * @param startTime
     * @param endTime
     * @param funcType
     * @param current
     * @param size
     * @return
     */
    CommonPage<SysAsyncTaskVo> getList(Long asyncTaskId, Date startTime, Date endTime, String funcType, Boolean user, Integer current, Integer size);

    /**
     * 回传返回结果
     *
     * @param isSuccess
     * @param result
     * @param resultType
     */
    void sendResult(Long id, Boolean isSuccess, String result, AsyncResultType resultType);

    /**
     * 回传返回结果
     */
    void sendResult(SysAsyncTaskDTO sysAsyncTask);

}
