package com.bizmatics.service.expcetion;

import com.bizmatics.common.core.exception.ErrorCode;
import com.bizmatics.service.constants.ErrorCodeConst;

/**
 * @author fanzhiqiang
 */

public enum AsyncErrorCode implements ErrorCode {

    ASYNC_OUT_OF_OPERATIONS(ErrorCodeConst.SYSTEM_ASYNC_ERROR_CODE_PREFIX + "001", "No more than 2 operations in an hour"),
    OPERATION_TYPE_NOT_EXIST(ErrorCodeConst.SYSTEM_ASYNC_ERROR_CODE_PREFIX + "002", "operation type not exist"),
    ;

    private final String code;
    private final String defaultMessage;

    AsyncErrorCode(String code, String defaultMessage) {
        this.code = code;
        this.defaultMessage = defaultMessage;
    }

    @Override
    public String getCode() {
        return this.code;
    }

    @Override
    public String getDefaultMessage() {
        return this.defaultMessage;
    }
}
