package com.bizmatics.service.expcetion;

import com.bizmatics.common.core.exception.ErrorCode;
import com.bizmatics.service.constants.ErrorCodeConst;


public enum FileErrorCode implements ErrorCode {

    FILE_UPLOAD_FILE_ERROR(ErrorCodeConst.SYSTEM_FILE_ERROR_CODE_PREFIX + "001", "file upload error"),
    FILE_TRANSFER_TO_LOCAL_ERROR(ErrorCodeConst.SYSTEM_FILE_ERROR_CODE_PREFIX + "002", "multipartfill transfer to local error"),
    FILE_SET_ACL_IS_NULL_ERROR(ErrorCodeConst.SYSTEM_FILE_ERROR_CODE_PREFIX + "003", "set acl error, input ossAcl is null"),
    FILE_DOWNLOAD_ERROR(ErrorCodeConst.SYSTEM_FILE_ERROR_CODE_PREFIX + "004", "Failed to download file from url"),
    FILE_DELETE_ERROR(ErrorCodeConst.SYSTEM_FILE_ERROR_CODE_PREFIX + "005", "Delete oss file error"),
    FILE_GET_ERROR(ErrorCodeConst.SYSTEM_FILE_ERROR_CODE_PREFIX + "006", "Get file error"),;

    private final String code;
    private final String defaultMessage;

    FileErrorCode(String code, String defaultMessage) {
        this.code = code;
        this.defaultMessage = defaultMessage;
    }

    @Override
    public String getCode() {
        return code;
    }

    @Override
    public String getDefaultMessage() {
        return defaultMessage;
    }
}
